import React from 'react';
import FolderCard from 'go-design-system-folder-card';
import Chip from 'go-design-system-chip';
import 'go-design-system-theme/lib/styles.css';

function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}

const FilePreviewCard = props => {
  const {
    title,
    last_opened_time,
    image,
    containerStyle = {},
    folderCardProps = {},
    chip,
    onClick = () => {}
  } = props;
  const chipTitle = chip?.title || '';
  const chipIcon = chip?.icon || '';
  return /*#__PURE__*/React.createElement("div", {
    className: "go-design-system-file-preview-card",
    style: containerStyle,
    onClick: onClick
  }, /*#__PURE__*/React.createElement("div", {
    className: "image-container",
    style: {
      backgroundImage: image
    }
  }, /*#__PURE__*/React.createElement("div", {
    className: "chip-container"
  }, chipIcon && chipTitle ? /*#__PURE__*/React.createElement(Chip, {
    title: chipTitle,
    icon: chipIcon
  }) : null)), /*#__PURE__*/React.createElement(FolderCard, _extends({
    title: title,
    last_opened_time: last_opened_time,
    shadow: false,
    containerStyles: {
      border: 0
    }
  }, folderCardProps)));
};

export default FilePreviewCard;
